package cn.com.qmth.examcloud.task.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.task.dao.entity.ReportsComputeEntity;

@Repository
public interface ReportsComputeRepo
		extends
			JpaRepository<ReportsComputeEntity, Long>,
			JpaSpecificationExecutor<ReportsComputeEntity> {
	@Query(value = "SELECT t.* FROM EC_T_REPORTS_COMPUTE t "+
			"WHERE t.id>?1 and t.status ='NONE' ORDER BY t.id limit ?2", nativeQuery = true)
	public List<ReportsComputeEntity> findTodoData(Long startId,Integer limit);
}
